import SwiftUI

struct IntegerPropertyView: View {

    let title: LocalizedStringKey

    @Binding
    var value: Int

    let footer: LocalizedStringKey

    var body: some View {
        GenericPropertyView(title: title, footer: footer) {
            IntegerField("", number: $value)
                .textFieldStyle(.roundedBorder)
        }
    }
}
